html, body {
    font-size: 13px;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
}
body {
    background: #583d16 !important;
    background-attachment: fixed;
    background-position: top;
    background-size: cover;
}   
header {
    /*background: linear-gradient(0deg,#180000 0,#5d0000 100%);
    padding: 0;
    box-shadow: 0 4px 8px rgba(0,0,0,.3);
    color: #fff;
    position: relative;*/
}
a {
    color: #fff;
    text-decoration: none;
}
a:hover {color: #debc01}

.bg-1{background: rgb(0 0 0 / 80%)}
.text-justify {
    text-align: justify;
}
.web-logo {
    width: 100%;
    max-width: 320px;
}
.card-game {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-clip: border-box;
    border: 0;
}
i.icon {
    cursor: pointer;
    color: #fff;
    font-size: 20px;
    line-height: 1;
}

.bi-person-plus-fill {
    margin-right: 0.5rem;
}
.btn-regis {
    color: #ffffff;
    font-size: 13px;
    font-weight: 600;
    padding: 7px 15px;
    background: #e80101;
    border-radius: 2px;
    box-shadow: inset 0 1px 0 rgb(255 255 255 / 35%), 0 1px 1px rgb(0 0 0 / 8%);
}
.btn-regis:hover {
    color: #ffffff;
    background: #b3001f;
}
.marquee-text {
    background: #063652;
    color: #fff;
    padding-top: 4px;
    font-size: 13px;
    border-radius: 3px;
    margin: 5px 0;
}
.rtp-bg {
    background: #081621;
    border-radius: 5px;
}
.list-provider {
    display: flex;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    border-radius: 0.25rem;
}
.provider-item {
    width: 100%;
    text-align: inherit;
    position: relative;
    display: block;
    padding: 0 0 1rem 0;
    color: #212529;
    text-decoration: none;
}
.provider-item .provider-thumbnail {
    display: block;
    margin: 0;
    width: 2rem;
    height: 2rem;
}
.provider-item span {
    margin-left: 0.5rem;
    font-weight: 500;
    font-size: 13px;
}
.provider-item a:hover {
    color: #fff;
    background-position: 100% 0;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}
.provider-item a {
    background: #c21500;
    background: -webkit-linear-gradient(to right, #2a2a72, #009FFD, #c21500, #ffc500);
    background: linear-gradient(to right, #2a2a72, #009FFD, #c21500, #ffc500);
    background-size: 300% 100%;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
    padding: 7px;
    border-radius: 4px;
}
.provider-item.active a {
    background: #7b4397;
    background: -webkit-linear-gradient(to right, #c21500, #ffc500);
    background: linear-gradient(to right, #c21500, #ffc500);
    border: none;
    color: #fff;
}
/*.rtp-header {*/
/*    background: linear-gradient(0deg,#180000 0,#5d0000 100%);*/
/*    color: #fff;*/
/*    border: 1px solid #ffdd00 !important;*/
/*}*/

.rtp-header {
  background: linear-gradient(
    0deg, #000d21 0, #002157 100%);
  color: #fff;
  border: 1px solid #004aaa !important;
}

.rtp-header p {
    margin: 0;
    color: #ccc;
    font-size: 12px;
    font-style: italic;
}
.card.card-game {
  background: #0a0b0d;
  border-radius: 7px;
  display: block;
  position: relative;
  min-height: 100px;
  padding: 7px;
  border: 1px solid #0057c547 !important;
  box-shadow: 0px 1px 7px 0px #0077ff;
}
.card-img, .card-img-bottom, .card-img-top {
    width: 100%;
    height: 100%;
}
.card.card-game .game-link {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 110px;
    width: auto;
    height: auto;
}
.card.card-game:hover .game-link {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9;
}
.card.card-game:hover .game-item-img{
    transform: scale(1.15) rotate(0deg);
    filter: brightness(40%);
}
.card.card-game .game-item-img{
    transition: all 500ms ease 0s;
}
.card-game span {
    display: block;
    color: #fff;
    text-transform: capitalize;
    width: 90%;
    margin: 0 auto;
    font-size: .85rem;
    line-height: 1.8;
    font-weight: 700;
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
}
.btn-flex {
    font-weight: bold;
    padding: 5px 0;
    font-size: 20px;
    vertical-align: middle;
    box-shadow: 0px 0px 3px #ffe400;
    background-image: linear-gradient(to bottom, #f7ff00 0%, #ffb100 100%);
    border: 1px solid #ffdd00 !important;
    color: #000000 !important;
    border-width: 0 !important;
    border-radius: 5px !important;
    text-align: center;
}
.btn-flex:hover {
    color: #000;
    background-color: #8a38c7;
}
.btn-game {
    padding: 5px 11px;
    color: #000 !important;
    background: linear-gradient(to bottom, #f7ff00 0%, #ffb100 100%);
    border-radius: 4px;
    font-weight: 600;
    font-size: 13px;
}
.btn-game:hover {
    background: linear-gradient(to bottom, #ffb100 0%, #f7ff00 100%);
}
.btn-login {
    border-radius: 0;
    line-height: 1.1;
    font-size: 16px;
}
.btn-login small, .btn-login span{
    text-transform: uppercase;
    background-image: linear-gradient(to right, #fe8c00, #FCE043, #ffdd00, #fe8c00, #fe8c00);
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    font-weight: 900;
    color: #fff;
    background-clip: text;
    text-fill-color: transparent;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: textclip 2s linear infinite;
    display: inline-block;
}
.adv {
    display: grid;
    grid-gap: 0.5rem;
    grid-template-columns: repeat(2,minmax(0,1fr));
    font-size: 16px;
}
input#search {
    background: #fff;
    color: black;
    border-radius: 4px;
    width: 100%;
    outline: none;
    border: none;
    font-size: 12px;
    font-family: inherit;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 2px solid #0a58ca !important;
}
.card-provider{
    position: relative;
    width: 100%;
    max-width: 85px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1 1 auto;
    margin: 0 auto;
    padding: 5px;
}
.card-provider img{
    width: 100%;
}
.card-deck {
    display: grid;
    grid-gap: 0.8rem;
    grid-template-columns: repeat(5,minmax(0,1fr));
    align-items: center;
    justify-content: space-between;
}
.game-item {
    height: 0;
    position: relative;
    padding-bottom: 66.44186%;
    overflow: hidden;
    border-radius: 7px 7px 0 0;
}
.game-item-img {
    left: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    transition: all 500ms ease 0s;
}
/*.item {*/
/*    background: linear-gradient(0deg, #210000 0, #5d0000 100%);*/
/*    box-shadow: inset 0 0 0 1px #ffd200, inset 0 2px 0 0 #c40000, inset 0 4px 4px 2px #770000, 3px 3px 3px 1px rgba(0, 0, 0, 0.2);*/
/*    font-size: 1.2rem !important;*/
/*    border-radius: 4px !important;*/
/*    border: 1px solid gold;*/
/*}*/

.item {
  background: linear-gradient(
    0deg, #000d21 0, #002157 100%);
  box-shadow:
    inset 0 0 0 1px #0055aa,
    inset 0 2px 0 0 #001a44,
    inset 0 4px 4px 2px #001233,
    3px 3px 3px 1px rgba(0, 0, 0, 0.2);
  font-size: 1.2rem !important;
  border-radius: 4px !important;
  border: 1px solid #004aaa;
}

.carousel-game {
    text-align: center;
    margin-bottom: 0;
    padding-left: 0;
    list-style: none;
    display: grid;
    grid-gap: 0.4rem;
    grid-template-columns: repeat(4,minmax(0,1fr));
}
/*.carousel-game .active, .item:hover {*/
/*    background: #c50000;*/
/*    box-shadow: inset 0 0 0 1px #ffd200, inset 0 2px 0 0 #910000, inset 0 4px 4px 2px #ff0000, 3px 3px 3px 1px rgba(0, 0, 0, 0.2);*/
/*}*/

.carousel-game .active,
.item:hover {
  background: #0057c5;
  box-shadow:
    inset 0 0 0 1px #00d2ff,
    inset 0 2px 0 0 #003a91,
    inset 0 4px 4px 2px #0099ff,
    3px 3px 3px 1px rgba(0, 0, 0, 0.2);
}

.carousel-game .active span {
    color:#debc01;
}
.owl-theme .owl-dots, .owl-theme .owl-nav {
    display: none;
}
#owl-game {
    flex: 1 0 auto;
    width: 50%;
    margin: 0 auto;
}
.rtp-header-title h4 {
    line-height: 1;
}
.rtp-header-search {
    overflow: hidden;
    font-size: 12px;
    color: #c8c8c8;
    line-height: 2;
}
.card.card-game .card-body .game-link {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: auto;
    height: auto;
    border-radius: 8px;
    background-color: rgba(0, 0, 0, 0.56);
}
.card.card-game .card-body:hover .game-link {
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9;
}
.percent {
    height: 16px;
    display: flex;
    overflow: hidden;
    line-height: 0;
    background: #d57fcd;
    border-radius: 0 0 7px 7px;
    position: relative;
    z-index: 1;
}
.percent p {
    z-index: 15;
    position: absolute;
    text-align: center;
    width: 100%;
    font-size: 11px;
    font-weight: bold;
    transform: translateY(7px);
    color: white;
    text-shadow: 0 0 3px #000, 0 0 3px #000, 0 0 3px #000;
}

.carousel-inner img {
    width: 40% !important;
    height: auto;
    display: block;
    margin: 5px auto;
    object-fit: cover;
    max-height: 528px;
    border-radius: 20px;
    box-shadow: 0 0 8px 0px #2b81ff;
}

/* MOBILE */
@media (max-width: 768px) {
    .carousel-inner img {
    max-height: 300px;
    width: 95%!important;
    margin-top: 5px;
    }
}
 a.no-status {
  cursor: pointer;
  pointer-events: auto;
  text-decoration: none;
}
a.no-status::after {
  content: '';
}
/* Container Bar */
/*.floating-bottom-bar {*/
/*    position: fixed;*/
/*    bottom: 0;*/
/*    left: 0;*/
/*    width: 100%;*/
/*    display: flex;*/
/*    justify-content: space-around;*/
/*    background: linear-gradient(359deg, #490000, #ff0000);*/
/*    border-top: 3px solid #750000;*/
/*    box-shadow: 0 -2px 10px rgba(0,0,0,0.2);*/
/*    z-index: 9999;*/
/*    padding: 8px 0;*/
/*}*/

.floating-bottom-bar {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-around;
  background: linear-gradient(
    359deg, #000d21, #0057c5);
  border-top: 3px solid #002157;
  box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.2);
  z-index: 9999;
  padding: 8px 0;
}


/* Individual Buttons */
.float-bottom-btn {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    text-decoration: none;
    font-size: 14px;
    transition: transform 0.2s;
}

.float-bottom-btn i {
    font-size: 24px;
    margin-bottom: 4px;
}

/* Hover Effect */
.float-bottom-btn:hover {
    transform: scale(1.1);
}

/* Responsive untuk HP */
@media (max-width: 768px) {
    .float-bottom-btn span {
        font-size: 12px;
    }
    .float-bottom-btn i {
        font-size: 20px;
    }
}
.rtp-marquee {
    background: rgba(0,0,0,0.6);
    color: #FFD700;
    padding: 5px 10px;
    font-weight: bold;
    overflow: hidden;
    white-space: nowrap;
}
.rtp-marquee span {
    display: inline-block;
    padding-left: 100%;
    animation: marquee 15s linear infinite;
}
@keyframes marquee {
    0% { transform: translateX(0); }
    100% { transform: translateX(-100%); }
}
.web-logo {
    max-width: 398px;  /* desktop */
    height: auto;
    display: block;
    margin: 0 auto;
}

@media (max-width: 768px) {
    .web-logo {
        max-width: 298px;  /* lebih kecil di mobile */
    }
}
.img-preview {
    max-width: 100%;   /* tidak melebihi container */
    max-height: 150px; /* tinggi preview */
    object-fit: cover;
    border-radius: 6px;
    margin-top: 10px;
    box-shadow: 0 3px 10px rgba(0,0,0,0.1);
}
.carousel-control-prev, 
.carousel-control-next {
    width: 5%; /* lebar kontrol */
}

.carousel-control-prev-icon, 
.carousel-control-next-icon {
    background-size: 100% 100%; /* agar ikon menyesuaikan container */
    width: 40px;   /* ukuran ikon */
    height: 40px;
}

.carousel-control-prev {
    left: 10px;   /* jarak dari sisi kiri slider */
}

.carousel-control-next {
    right: 10px;  /* jarak dari sisi kanan slider */
}

/* posisikan vertikal di tengah */
.carousel-control-prev-icon, 
.carousel-control-next-icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}
.rtp-container {
    display: flex;
    flex-direction: column;
    gap: 0px;
    margin-bottom: 10px;
}
/* Wrapper Flex untuk icon + text */
.rtp-update-wrapper {
  background: linear-gradient(
    to left, #00000000 0%, #00000063 50%, #001a4a 100%) !important;
  display: flex;
  align-items: center;
}
.rtp-like-wrapper {
  background: linear-gradient(
    to left, #00000000 0%, #00000063 50%, #001a4a 100%) !important;
  margin-top: -0.5rem;
  display: flex;
  align-items: center;
}

/* Icon jam */
.rtp-icon {
    font-size: 1.3rem;
    color: #ffdd00;
    margin-right: 6px;
}

/* Text update */
.rtp-text {
    font-size: 1.3rem;
    font-weight: 600;
    color: #ffffff;
}

/* Responsive */
@media (max-width: 576px) {
    .rtp-update-wrapper {
        padding: 4px 8px;
    }
    .rtp-icon {
        font-size: 1.0rem;
    }
    .rtp-text {
        font-size: 1.0rem;
    }
}
.percent-bar {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    -webkit-animation: progress-bar-stripes 1s linear infinite;
    animation: progress-bar-stripes 1s linear infinite;
    z-index: 10;
    -webkit-background-size: 30px 30px;
    -moz-background-size: 30px 30px;
    background-size: 30px 30px;
    background-image: -webkit-gradient(linear, left top, right bottom, color-stop(.25, rgb(0 0 0 / 10%)), color-stop(.25, transparent), color-stop(.5, transparent), color-stop(.5, rgb(0 0 0 / 10%)), color-stop(.75, rgb(0 0 0 / 10%)), color-stop(.75, transparent), to(transparent));
    background-image: -webkit-linear-gradient(135deg, rgb(0 0 0 / 10%) 25%, transparent 25%, transparent 50%, rgb(0 0 0 / 10%) 50%, rgb(0 0 0 / 10%) 75%, transparent 75%, transparent);
    background-image: -moz-linear-gradient(135deg, rgb(0 0 0 / 10%) 25%, transparent 25%, transparent 50%, rgb(0 0 0 / 10%) 50%, rgb(0 0 0 / 10%) 75%, transparent 75%, transparent);
    background-image: -ms-linear-gradient(135deg, rgb(0 0 0 / 10%) 25%, transparent 25%, transparent 50%, rgb(0 0 0 / 10%) 50%, rgb(0 0 0 / 10%) 75%, transparent 75%, transparent);
    background-image: -o-linear-gradient(135deg, rgb(0 0 0 / 10%) 25%, transparent 25%, transparent 50%, rgb(0 0 0 / 10%) 50%, rgb(0 0 0 / 10%) 75%, transparent 75%, transparent);
    background-image: linear-gradient(135deg, rgb(0 0 0 / 10%) 25%, transparent 25%, transparent 50%, rgba(0 0 0 / 10%) 50%, rgba(0 0 0 / 10%) 75%, transparent 75%, transparent);
    -webkit-animation: animate-stripes 3s linear infinite;
    -moz-animation: animate-stripes 3s linear infinite;
}
.yellow {
    background-color: #fdd500;
}
.green {
    background-color: #10c901;
}
.red {
    background-color: #d1232d;
}
.jam {
  font-weight: bold;
  text-align: center;
  padding: 3px;
  border-radius: 4px;
  background: linear-gradient(0deg, #001433 0, #003380 100%);
  color: #fff;
  border: 1px solid #0066cc !important;
}
.pola {
}
.space .pola1, .space .pola2, .space .pola3 {
    display: none;
}
.pola p {
    margin-bottom: 0.1rem;
    font-size: 10px;
}
.jamgacor {
    display:none;
}
.jamgacor h5 {
    font-size: 1.3em;
}
.jam h5 {
    font-size: 0.9em;
    font-weight: bold;
    border-bottom: 1px solid #fff;
    width: 90%;
    margin: 5px auto;
    padding-bottom: 3px;
}
.footer-text {
    background-color: #250000ed;
    border-top: 2px solid #ffe200;
}
footer {
    background: #000000;
    border-top: 1px solid #1d2c59;
}
@keyframes textclip {
    to {
        background-position: 200% center;
    }
}
@-webkit-keyframes animate-stripes { 
	0% {background-position: 0 0;} 100% {background-position: 60px 0;}
    }
@-moz-keyframes animate-stripes {
	0% {background-position: 0 0;} 100% {background-position: 60px 0;}
}
@media (max-width: 1200px){
    .card-deck {
        grid-template-columns: repeat(5,minmax(0,1fr));
    }
}
@media (max-width: 992px) {
    .card-deck {
        grid-template-columns: repeat(4,minmax(0,1fr));
    }
}
@media (min-width: 576px) {
    .text-xs-left {
        text-align: left;
    }
}
@media (max-width: 576px) {
    .card-deck {
        grid-template-columns: repeat(3,minmax(0,1fr));
    }
    .pola p {
        font-size: 7px;
    }
}
@media (min-width: 993px) {
    .modal .modal-dialog .modal-content {
        max-width: 350px;
        margin: 0 auto;
    }
}